@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Meroitic&family=Outfit:wght@100..900&family=Quicksand:wght@300..700&display=swap');
html {
    scroll-behavior: smooth; /* ¡Magia de CSS puro! */
}
h1{
   font-family: "Outfit", sans-serif;
   font-weight: 800;
   text-transform: uppercase; 
   font-size: 4.5rem;
   letter-spacing: 2px;
   margin: 0;
}

body{
    margin: 0;
    padding: 0;
    background-image: url(img/largebackground.png);
    background-repeat: no-repeat;
    background-position: 0px -100px;
    padding: 0 190px 0 200px;
}
#inicio{

    height: 100px;
}

.header-column{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 200px auto 0 auto;
}

nav{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

ul{
    display: flex;
    list-style: none;
    padding: 0;
    gap: 20px;
}

li a{
    text-decoration: none;
    color: inherit;
    font-family: "Quicksand", sans-serif;
    font-weight: normal;
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: 0.2px;
}

li a:hover{
    color: #ee519e;
}

#sobremi{
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: 50px;
    justify-content: space-between;
    margin: 290px auto 0 auto;
    align-items: center;
}

#proyectos{
    margin: 200px auto 0 auto;
}

#sobremi article{
    flex: 2;
    min-width: 300px;
}

#sobremi article h2{
    font-family: "Outfit", sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 1.5rem;
    margin-top: 0;
}

#sobremi article p{
    font-family: "Quicksand", sans-serif;
    text-align: justify;
    line-height: 1.6;
    font-size: 1.1rem;
    width: 100%;
}

#sobremi aside{
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-center;
    min-width: 300px;
}

#sobremi img{
    max-width: 100%;
    height: auto;
    display: block;
}

#proyectos h2{
    font-family: "Outfit", sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 1.5rem;
    margin-top: 0;
    margin-bottom: 40px;
}

.proyecto{
    margin: 0;
    width: calc(50% - 20px); 
    min-width: 300px;
}

.contenedor-fotos{
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    justify-content: start;
}

.proyecto img {
    width: 100%;
    height: auto; 
    object-fit: cover; 
    border-radius: 2px;
}

.proyecto figcaption {
    margin-top: 10px;
    font-family: "Outfit", sans-serif;
    font-weight: 300;
    font-size: 1rem;
}

footer{
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 200px auto 100px auto;
}

footer h2{
    flex: 2;
    font-family: "Outfit", sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    font-size: 1.5rem;
    margin-top: 0;
}

.volver-arriba {
    position: fixed;   
    bottom: 40px;    
    right: 40px;        
    background-color: #ee519e; 
    color: white;      
    width: 50px;       
    height: 50px;     
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%; 
    text-decoration: none; 
    font-size: 1.5rem;  
    box-shadow: 0 4px 10px rgba(0,0,0,0.2); 
    transition: all 0.3s ease;
    z-index: 1000;     
}

.volver-arriba:hover {
    background-color: #333; 
    transform: translateY(-5px); 
}

/* --- RESPONSIVE --- */

@media (max-width: 1250px) {
    #sobremi article h2, #proyectos h2, footer h2{
        font-size: 1.3rem;
    }

    #sobremi article p{
        font-size: 1rem;
    }  
}

@media (max-width: 1040px) {
    #sobremi img {
        max-width: 350px; 
        margin: 0 auto; 
    }
}

@media (max-width: 1024px){
        body{
    background-position: -200px 0;
    }
    .contenedor-fotos {
        grid-template-columns: 1fr;    /* Una sola columna */
        justify-items: center;        /* Centra el contenido de cada celda del grid */
        justify-content: center;      /* Centra la grilla entera en la sección */
        gap: 40px;
    }
    .proyecto {
        width: 100%;
        max-width: 500px; /* Evita que la foto ocupe todo el ancho de la pantalla */
        text-align: center; /* Centra el figcaption debajo de la foto */
    }
}
@media (max-width: 768px) {
    body{
    background-position: -400px 0;
    }
    #sobremi article h2, #proyectos h2, footer h2{
        font-size: 1rem;
    }

    #sobremi article p{
        font-size: 0.8rem;
    } 

    li a{
        font-size: 0.9rem;
    }

    .proyecto figcaption {
        font-size: 0.8rem;
    }
    
}